## cinder 18.2.1

=== debian/changelog ===
cinder (2:18.2.1-1+deb11u5~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Improve_heartbeats_RPC_pings.patch.
  * Depends on oslo.messaging >= 12.7.3-2~.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Fri, 09 Jan 2026 21:40:14 +0000

cinder (2:18.2.1-1+deb11u4) UNRELEASED; urgency=medium

  * Correctly calls manage_glance_api_servers() in config script.
  * Add bugfix patches:
    - RBD_Fix_snapshot_delete_when_the_source_volume_doesnt_exist.patch
    - Ceph_Catch_more_failure_conditions_on_volume_backup.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jul 2024 04:16:48 +0200

cinder (2:18.2.1-1+deb11u3) UNRELEASED; urgency=medium

  * CVE-2023-2088: Unauthorized volume access through deleted volume
    attachments. Applied upstream patch: Reject unsafe delete attachment calls
    (Closes: #1035961).
  * Add add-params-thin_provisioning-equal-one.patch.
  * Disable CVE-2023-2088 patch (because failing).
  * New upstream release.
  * CVE-2024-32498: Arbitrary file access through custom QCOW2 external data.
    Add upstream patch (Closes: #1074763):
    - CVE-2024-32498_0_1_Use_the_json_format_output_of_qemu-img_info.patch
    - cve-2024-32498-cinder-stable-2023.1.patch
    - Build-depends on qemu-utils.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Jun 2024 09:31:14 +0200

cinder (2:18.2.0-1+deb11u1) UNRELEASED; urgency=medium

  * New upstream release.
  * CVE-2022-47951: By supplying a specially created VMDK flat image which
    references a specific backing file path, an authenticated user may convince
    systems to return a copy of that file's contents from the server resulting
    in unauthorized access to potentially sensitive data. Add upstream patch
    CVE-2022-47951-Check_VMDK_subformat_against_an_allowed_list.patch
    (Closes: #1029562)

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Aug 2022 11:21:19 +0200

cinder (2:18.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 02 Sep 2021 10:42:21 +0200

cinder (2:18.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 12:27:08 +0200

cinder (2:18.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 20:49:03 +0200

cinder (2:18.0.0~rc1-1) experimental; urgency=medium

  * Tune cinder-api-uwsgi.ini for performance.
  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Add do-not-use-urllib3-from-botocore.patch.
  * Add remove-test_backup_s3.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Mar 2021 14:49:28 +0100

=== debian/control ===
Source: cinder
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr (>= 5.5.1),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-barbicanclient,
 python3-boto3,
 python3-castellan,
 python3-coverage,
 python3-cryptography,
 python3-cursive,
 python3-ddt,
 python3-decorator,
 python3-doc8,
 python3-eventlet (>= 0.30.1),
 python3-fixtures,
 python3-glanceclient,
 python3-googleapi,
 python3-greenlet,
 python3-hacking,
 python3-httplib2,
 python3-importlib-metadata,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-migrate,
 python3-mypy,
 python3-mysqldb,
 python3-novaclient,
 python3-oauth2client (>= 4.1.3),
 python3-openstackdocstheme,
 python3-os-api-ref (>= 2.1.0),
 python3-os-brick (>= 4.3.1),
 python3-os-win (>= 5.4.0),
 python3-oslo.concurrency (>= 4.4.0),
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n (>= 5.0.1),
 python3-oslo.log,
 python3-oslo.messaging (>= 12.7.3-2~),
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.2),
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization (>= 4.1.0),
 python3-oslo.service (>= 2.5.0),
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 4.8.0),
 python3-oslo.versionedobjects,
 python3-oslo.vmware (>= 3.8.0),
 python3-oslotest,
 python3-osprofiler,
 python3-packaging,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-psutil,
 python3-psycopg2,
 python3-pygments,
 python3-pymysql (>= 0.10.0),
 python3-pyparsing,
 python3-reno,
 python3-requests,
 python3-routes,
 python3-rtslib-fb (>= 2.1.74),
 python3-six,
 python3-sphinx-feature-classification (>= 1.1.0),
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stestr (>= 3.1.0),
 python3-stevedore,
 python3-swiftclient,
 python3-tabulate,
 python3-taskflow,
 python3-tenacity (>= 6.3.1),
 python3-testtools,
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-zstd,
 qemu-utils,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/cinder
Vcs-Git: https://salsa.debian.org/openstack-team/services/cinder.git
Homepage: https://github.com/openstack/cinder

Package: cinder-api
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - API server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - Backup server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 cryptsetup-bin,
 cgroup-tools,
 python3-cinder (= ${binary:Version}),
 thin-provisioning-tools,
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack block storage system - common files
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: cinder-doc
Architecture: all
Build-Profiles: <!nodoc>
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack block storage system - doc
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage
 solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the documentation.

Package: cinder-scheduler
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - Scheduler server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 lvm2,
 qemu-utils,
 tgt | open-iscsi,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Suggests:
 ceph-common,
Description: OpenStack block storage system - Volume server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 python3-barbicanclient,
 python3-boto3,
 python3-castellan,
 python3-cryptography,
 python3-cursive,
 python3-decorator,
 python3-eventlet (>= 0.30.1),
 python3-glanceclient,
 python3-googleapi,
 python3-greenlet,
 python3-httplib2,
 python3-importlib-metadata,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-migrate,
 python3-mysqldb,
 python3-novaclient,
 python3-oauth2client (>= 4.1.3),
 python3-os-brick (>= 4.3.1),
 python3-os-win (>= 5.4.0),
 python3-oslo.concurrency (>= 4.4.0),
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n (>= 5.0.1),
 python3-oslo.log,
 python3-oslo.messaging (>= 12.7.3-2~),
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.2),
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization (>= 4.1.0),
 python3-oslo.service (>= 2.5.0),
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 4.8.0),
 python3-oslo.versionedobjects,
 python3-oslo.vmware (>= 3.8.0),
 python3-osprofiler,
 python3-packaging,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pbr (>= 5.5.1),
 python3-psutil,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-requests,
 python3-routes,
 python3-rtslib-fb (>= 2.1.74),
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-swiftclient,
 python3-tabulate,
 python3-taskflow,
 python3-tenacity (>= 6.3.1),
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-zstd,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ceph-common,
 python3-ceph,
 python3-hp3parclient,
Description: OpenStack block storage system - Python libraries
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Python libraries that are part of Cinder.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -f debian/cinder-common.config debian/cinder-common.postinst debian/cinder-api.config debian/cinder-api.postinst debian/cinder-volume.postinst debian/cinder-common.postrm
	rm -rf debian/*.upstart debian/*.service debian/*.templates
	if [ -e debian/po-backup ] ; then \
		rm -rf debian/po ; \
		mv debian/po-backup debian/po ; \
	fi
	rm -rf build
	find . -name '*.pyc' -delete
	rm -rf .stestr
	rm -rf cinder.egg-info
	rm -f AUTHORS ChangeLog

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-volume.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm cinder-common.postrm
	cp -auxf debian/po debian/po-backup
	pkgos-merge-templates cinder-api cinder endpoint
	pkgos-merge-templates cinder-common cinder db rabbit ksat

override_dh_install:
	python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i stestr run 'cinder\.tests\.unit.*' | subunit2pyunit ; \
	done
endif

	mkdir -p $(CURDIR)/debian/cinder-common/usr/share/cinder-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf \
		--wrap-width 140 \
		--namespace castellan.config \
		--namespace cinder \
		--namespace keystonemiddleware.auth_token \
		--namespace osprofiler \
		--namespace oslo.config \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware \
		--namespace oslo.policy \
		--namespace oslo.privsep \
		--namespace oslo.reports \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace oslo.versionedobjects

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf keystone_authtoken cinder

	mkdir -p $(CURDIR)/debian/cinder-common/etc/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/cinder-common/etc/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace cinder

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf oslo_policy policy_dirs /etc/cinder/policy.d

	dh_install
	dh_missing --fail-missing -Xbin/cinder-all
	install -D -m 0440 debian/cinder-common.sudoers $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf DEFAULT auth_strategy keystone

	# Set LVM as default backend
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf DEFAULT enabled_backends lvm
	echo "[lvm]" 				>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_driver = cinder.volume.drivers.lvm.LVMVolumeDriver" >> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_group = pkgosvg0" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_protocol = iscsi" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_helper = tgtadm" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	# Set a default value for lock_path & state_path
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf oslo_concurrency lock_path /var/lock/cinder

	# Fix the missing sql_connection directive
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf database sqlite:////var/lib/cinder/cinderdb

	install -D -m 0644 $(CURDIR)/etc/cinder/logging_sample.conf $(CURDIR)/debian/cinder-common/usr/share/cinder-common/logging.conf

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf
	chmod 0440 $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python3-cinder/usr/lib/python3/dist-packages PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/cinder-doc/usr/share/doc/cinder-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## cinder 19.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=5.5.1 # Apache-2.0
decorator>=4.4.2 # BSD
eventlet>=0.30.1 # MIT
greenlet>=0.4.16 # MIT
httplib2>=0.18.1 # MIT
importlib_metadata>=3.1.1;python_version<'3.8' # Apache-2.0
iso8601>=0.1.12 # MIT
jsonschema>=3.2.0 # MIT
keystoneauth1>=4.2.1 # Apache-2.0
keystonemiddleware>=9.1.0 # Apache-2.0
lxml>=4.5.2 # BSD
oauth2client>=4.1.3 # Apache-2.0
oslo.config>=8.3.2 # Apache-2.0
oslo.concurrency>=4.4.0 # Apache-2.0
oslo.context>=3.1.1 # Apache-2.0
oslo.db>=11.0.0 # Apache-2.0
oslo.log>=4.5.0 # Apache-2.0
oslo.messaging>=12.5.0 # Apache-2.0
oslo.middleware>=4.1.1 # Apache-2.0
oslo.policy>=3.8.1 # Apache-2.0
oslo.privsep>=2.4.0 # Apache-2.0
oslo.reports>=2.2.0 # Apache-2.0
oslo.rootwrap>=6.2.0 # Apache-2.0
oslo.serialization>=4.1.0 # Apache-2.0
oslo.service>=2.5.0 # Apache-2.0
oslo.upgradecheck>=1.1.1 # Apache-2.0
oslo.utils>=4.8.0 # Apache-2.0
oslo.versionedobjects>=2.3.0 # Apache-2.0
osprofiler>=3.4.0 # Apache-2.0
packaging>=20.4
paramiko>=2.7.2 # LGPLv2.1+
Paste>=3.4.3 # MIT
PasteDeploy>=2.1.0 # MIT
psutil>=5.7.2 # BSD
pyparsing>=2.4.7 # MIT
python-barbicanclient>=5.0.1 # Apache-2.0
python-glanceclient>=3.2.2 # Apache-2.0
python-keystoneclient>=4.1.1 # Apache-2.0
python-novaclient>=17.2.1 # Apache-2.0
python-swiftclient>=3.10.1 # Apache-2.0
pytz>=2020.1 # MIT
requests>=2.25.1 # Apache-2.0
Routes>=2.4.1 # MIT
taskflow>=4.5.0 # Apache-2.0
rtslib-fb>=2.1.74 # Apache-2.0
six>=1.15.0 # MIT
SQLAlchemy>=1.4.23 # MIT
sqlalchemy-migrate>=0.13.0 # Apache-2.0
stevedore>=3.2.2 # Apache-2.0
tabulate>=0.8.7 # MIT
tenacity>=6.3.1 # Apache-2.0
WebOb>=1.8.6 # MIT
oslo.i18n>=5.0.1 # Apache-2.0
oslo.vmware>=3.8.0 # Apache-2.0
os-brick>=5.0.1 # Apache-2.0
os-win>=5.4.0 # Apache-2.0
tooz>=2.7.1 # Apache-2.0
google-api-python-client>=1.11.0 # Apache-2.0
castellan>=3.6.0 # Apache-2.0
cryptography>=3.1 # BSD/Apache-2.0
cursive>=0.2.2 # Apache-2.0
zstd>=1.4.5.1 # BSD
boto3>=1.16.51 # Apache-2.0

=== debian/changelog ===
cinder (2:19.0.0-0ubuntu3) impish; urgency=medium

  * d/gbp.conf: Create stable/xena branch.
  * d/control, d/rules: Bump debhelper compat to 12 (LP: #1960636).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 09:18:12 -0500

cinder (2:19.0.0-0ubuntu2) impish; urgency=medium

  * d/py3dist-overrides: Add SQLAlchemy to ensure d/control is not overridden.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Oct 2021 08:14:11 -0400

cinder (2:19.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 19.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 15:13:27 +0000

cinder (2:19.0.0~b1+git2021091409.768b8996b-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Sep 2021 09:14:32 -0400

cinder (2:18.0.0+git2021072116.81f2aaeea-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 16:36:01 -0400

cinder (2:18.0.0+git2021061414.d5f0e5187-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 14 Jun 2021 15:32:32 +0000

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 apache2-dev,
 debhelper-compat (= 12),
 dh-apache2,
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 5.5.1),
 python3-setuptools,
 python3-sphinx (>= 3.5.1),
 python3-tabulate (>= 0.8.7),
Build-Depends-Indep:
 python3-barbicanclient (>= 5.0.1),
 python3-boto3 (>= 1.13.14),
 python3-botocore,
 python3-castellan (>= 3.6.0),
 python3-coverage,
 python3-cryptography (>= 3.1),
 python3-cursive (>= 0.2.2),
 python3-ddt (>= 1.4.1),
 python3-decorator (>= 4.4.2),
 python3-doc8,
 python3-eventlet (>= 0.30.1),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:3.2.2),
 python3-googleapi (>= 1.7.11),
 python3-greenlet (>= 0.4.16),
 python3-hacking,
 python3-httplib2 (>= 0.18.1),
 python3-importlib-metadata (>= 3.1.1),
 python3-iso8601 (>= 0.1.12),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystoneclient (>= 1:4.1.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-migrate (>= 0.13.0),
 python3-mock (>= 2.0.0),
 python3-novaclient (>= 2:17.2.1),
 python3-oauth2client (>= 4.1.3),
 python3-openstackdocstheme (>= 2.2.7),
 python3-os-api-ref (>= 2.1.0),
 python3-os-brick (>= 5.0.1),
 python3-os-win (>= 5.4.0),
 python3-oslo.concurrency (>= 4.4.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.1.1),
 python3-oslo.db (>= 10.0.0),
 python3-oslo.i18n (>= 5.0.1),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging (>= 12.5.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.privsep (>= 2.4.0),
 python3-oslo.reports (>= 2.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.1.0),
 python3-oslo.service (>= 2.5.0),
 python3-oslo.upgradecheck (>= 1.1.1),
 python3-oslo.utils (>= 4.8.0),
 python3-oslo.versionedobjects (>= 2.3.0),
 python3-oslo.vmware (>= 3.8.0),
 python3-oslotest (>= 1:4.4.1),
 python3-osprofiler (>= 3.4.0),
 python3-packaging (>= 20.4),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pep8,
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 5.7.2),
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql (>= 0.10.0),
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.25.1),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-rtslib-fb (>= 2.1.74),
 python3-six (>= 1.15.0),
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.apidoc (>= 0.3.0),
 python3-sqlalchemy (>= 1.3.22),
 python3-sqlalchemy-utils (>= 0.36.8),
 python3-stestr,
 python3-stevedore (>= 1:3.2.2),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.10.1),
 python3-taskflow (>= 4.5.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 6.3.1),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-tooz (>= 2.7.1),
 python3-tz (>= 2020.1),
 python3-webob (>= 1:1.8.6),
 python3-zstd (>= 1.4.5.1),
Standards-Version: 4.1.4
Homepage: https://launchpad.net/cinder
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
Testsuite: autopkgtest-pkg-python

Package: cinder-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-scheduler
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 lvm2,
 python3-cinder (= ${binary:Version}),
 qemu-utils,
 targetcli-fb,
 ${misc:Depends},
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 python3-barbicanclient (>= 5.0.1),
 python3-castellan (>= 3.6.0),
 python3-cryptography (>= 3.1),
 python3-cursive (>= 0.2.2),
 python3-decorator (>= 4.4.2),
 python3-eventlet (>= 0.30.1),
 python3-glanceclient (>= 1:3.2.2),
 python3-greenlet (>= 0.4.16),
 python3-httplib2 (>= 0.18.1),
 python3-importlib-metadata (>= 3.1.1),
 python3-iso8601 (>= 0.1.12),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystoneclient (>= 1:4.1.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-migrate (>= 0.13.0),
 python3-novaclient (>= 2:17.2.1),
 python3-os-brick (>= 5.0.1),
 python3-os-win (>= 5.4.0),
 python3-oslo.concurrency (>= 4.4.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.1.1),
 python3-oslo.db (>= 10.0.0),
 python3-oslo.i18n (>= 5.0.1),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging (>= 12.5.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.privsep (>= 2.4.0),
 python3-oslo.reports (>= 2.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.1.0),
 python3-oslo.service (>= 2.5.0),
 python3-oslo.upgradecheck (>= 1.1.1),
 python3-oslo.utils (>= 4.8.0),
 python3-oslo.versionedobjects (>= 2.3.0),
 python3-oslo.vmware (>= 3.8.0),
 python3-osprofiler (>= 3.4.0),
 python3-packaging (>= 20.4),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pbr (>= 5.5.1),
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 5.7.2),
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.25.1),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-rtslib-fb (>= 2.1.74),
 python3-six (>= 1.15.0),
 python3-sqlalchemy (>= 1.3.22),
 python3-stevedore (>= 1:3.2.2),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.10.1),
 python3-tabulate (>= 0.8.7),
 python3-taskflow (>= 4.5.0),
 python3-tenacity (>= 6.3.1),
 python3-tooz (>= 2.7.1),
 python3-tz (>= 2020.1),
 python3-webob (>= 1:1.8.6),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-boto3 (>= 1.13.14),
 python3-botocore,
 python3-googleapi (>= 1.7.11),
 python3-hp3parclient,
 python3-oauth2client (>= 4.1.3),
 python3-rados,
 python3-rbd,
 python3-zstd (>= 1.4.5.1),
Description: Cinder Python 3 libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python 3 library for Cinder.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/cinder/ cinder-(19\.\d.*)\.tar\.gz

## cinder 19.0.0%2bgit2022030310.b49fb59a6

=== requirements.txt ===
--- 
+++ 
@@ -55,7 +55,7 @@
 tenacity>=6.3.1 # Apache-2.0
 WebOb>=1.8.6 # MIT
 oslo.i18n>=5.0.1 # Apache-2.0
-oslo.vmware>=3.8.0 # Apache-2.0
+oslo.vmware>=3.10.0 # Apache-2.0
 os-brick>=5.0.1 # Apache-2.0
 os-win>=5.4.0 # Apache-2.0
 tooz>=2.7.1 # Apache-2.0

## cinder 19.3.0

=== debian/changelog ===
cinder (2:19.3.0-1+deb11u6~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Improve_heartbeats_RPC_pings.patch.
  * Depends on oslo.messaging >= 12.7.3-2~.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Fri, 09 Jan 2026 09:09:26 +0000

cinder (2:19.3.0-1+deb11u5) UNRELEASED; urgency=medium

   * New upstream point release.
   * Removed patches applied upstream:
     - CVE-2022-47951_Check_VMDK_subformat_against_an_allowed_list.patch
     - CVE-2024-32498_0_1_Use_the_json_format_output_of_qemu-img_info.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Apr 2025 15:16:41 +0200

cinder (2:19.1.1-1+deb11u4) UNRELEASED; urgency=medium

  * Correctly calls manage_glance_api_servers() in config script.
  * Add Set_backup_status_to_error_on_VolumeNotFound.patch.
  * Add Ceph_Catch_more_failure_conditions_on_volume_backup.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jul 2024 04:17:49 +0200

cinder (2:19.1.1-1+deb11u3) UNRELEASED; urgency=medium

  * CVE-2023-2088: Unauthorized volume access through deleted volume
    attachments. Applied upstream patch: Reject unsafe delete attachment calls
    (Closes: #1035961).
  * Disable CVE-2023-2088 patch until breackage is addressed.
  * Add add-params-thin_provisioning-equal-one.patch.
  * CVE-2024-32498: Arbitrary file access through custom QCOW2 external data.
    Add upstream patch (Closes: #1074763):
    - CVE-2024-32498_0_1_Use_the_json_format_output_of_qemu-img_info.patch
    - cve-2024-32498-cinder-stable-2023.1.patch
  * Build-depends on qemu-utils.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Jun 2024 09:23:34 +0200

cinder (2:19.1.1-1+deb11u1) UNRELEASED; urgency=medium

  * New upstream release.
  * CVE-2022-47951: By supplying a specially created VMDK flat image which
    references a specific backing file path, an authenticated user may convince
    systems to return a copy of that file's contents from the server resulting
    in unauthorized access to potentially sensitive data. Add upstream patch
    CVE-2022-47951_Check_VMDK_subformat_against_an_allowed_list.patch
    (Closes: #1029562)

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Aug 2022 17:27:13 +0200

cinder (2:19.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 16:36:46 +0200

cinder (2:19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix 00_default_policy.yaml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 22:21:44 +0200

cinder (2:19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 15:57:10 +0200

=== debian/control ===
Source: cinder
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr (>= 5.5.1),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-barbicanclient,
 python3-boto3,
 python3-castellan,
 python3-coverage,
 python3-cryptography,
 python3-cursive,
 python3-ddt,
 python3-decorator,
 python3-doc8,
 python3-eventlet (>= 0.30.1),
 python3-fixtures,
 python3-glanceclient,
 python3-googleapi,
 python3-greenlet,
 python3-hacking,
 python3-httplib2,
 python3-importlib-metadata,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-migrate,
 python3-mypy,
 python3-mysqldb,
 python3-novaclient,
 python3-oauth2client (>= 4.1.3),
 python3-openstackdocstheme,
 python3-os-api-ref (>= 2.1.0),
 python3-os-brick (>= 5.0.1),
 python3-os-win (>= 5.4.0),
 python3-oslo.concurrency (>= 4.4.0),
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 11.0.0),
 python3-oslo.i18n (>= 5.0.1),
 python3-oslo.log (>= 4.6.0),
 python3-oslo.messaging (>= 12.9.4-2~),
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization (>= 4.1.0),
 python3-oslo.service (>= 2.5.0),
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 4.8.0),
 python3-oslo.versionedobjects,
 python3-oslo.vmware (>= 3.8.0),
 python3-oslotest,
 python3-osprofiler,
 python3-packaging,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-psutil,
 python3-psycopg2,
 python3-pygments,
 python3-pymysql (>= 0.10.0),
 python3-pyparsing,
 python3-reno,
 python3-requests,
 python3-routes,
 python3-rtslib-fb (>= 2.1.74),
 python3-six,
 python3-sphinx-feature-classification (>= 1.1.0),
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy (>= 1.4.23),
 python3-sqlalchemy-utils (>= 0.37.8),
 python3-stestr (>= 3.1.0),
 python3-stevedore,
 python3-swiftclient,
 python3-tabulate,
 python3-taskflow,
 python3-tenacity (>= 6.3.1),
 python3-testtools,
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-zstd,
 qemu-utils,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/cinder
Vcs-Git: https://salsa.debian.org/openstack-team/services/cinder.git
Homepage: https://github.com/openstack/cinder

Package: cinder-api
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - API server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - Backup server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 cryptsetup-bin,
 cgroup-tools,
 python3-cinder (= ${binary:Version}),
 thin-provisioning-tools,
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack block storage system - common files
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: cinder-doc
Architecture: all
Build-Profiles: <!nodoc>
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack block storage system - doc
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage
 solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the documentation.

Package: cinder-scheduler
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - Scheduler server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 lvm2,
 qemu-utils,
 tgt | open-iscsi,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Suggests:
 ceph-common,
Description: OpenStack block storage system - Volume server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 python3-barbicanclient,
 python3-boto3,
 python3-castellan,
 python3-cryptography,
 python3-cursive,
 python3-decorator,
 python3-eventlet (>= 0.30.1),
 python3-glanceclient,
 python3-googleapi,
 python3-greenlet,
 python3-httplib2,
 python3-importlib-metadata,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-migrate,
 python3-mysqldb,
 python3-novaclient,
 python3-oauth2client (>= 4.1.3),
 python3-os-brick (>= 5.0.1),
 python3-os-win (>= 5.4.0),
 python3-oslo.concurrency (>= 4.4.0),
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 11.0.0),
 python3-oslo.i18n (>= 5.0.1),
 python3-oslo.log (>= 4.6.0),
 python3-oslo.messaging (>= 12.9.4-2~),
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization (>= 4.1.0),
 python3-oslo.service (>= 2.5.0),
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 4.8.0),
 python3-oslo.versionedobjects,
 python3-oslo.vmware (>= 3.8.0),
 python3-osprofiler,
 python3-packaging,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pbr (>= 5.5.1),
 python3-psutil,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-requests,
 python3-routes,
 python3-rtslib-fb (>= 2.1.74),
 python3-six,
 python3-sqlalchemy (>= 1.4.23),
 python3-stevedore,
 python3-swiftclient,
 python3-tabulate,
 python3-taskflow,
 python3-tenacity (>= 6.3.1),
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-zstd,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ceph-common,
 python3-ceph,
 python3-hp3parclient,
Description: OpenStack block storage system - Python libraries
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Python libraries that are part of Cinder.

=== debian/rules ===
--- 
+++ 
@@ -80,6 +80,10 @@
 		--format yaml \
 		--namespace cinder
 
+	# Comment out deprecated policies
+	sed -i 's/^"/#"/' $(CURDIR)/debian/cinder-common/etc/policy.d/00_default_policy.yaml
+
+
 	# Use the policy.d folder
 	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf oslo_policy policy_dirs /etc/cinder/policy.d
